#if C_GRAPHICSMEDIA_LAB_GNU_GPL_C
#/*******************************************************************************
# * (C) Copyright 2003/2004 by Vladimir Vezhnevets <vvp@graphics.cs.msu.su> and *
# *                            Stanislav Soldatov  <stass@graphics.cs.msu.su>   *
# *******************************************************************************
# * $Id: service.cpp,v 1.3 2004/01/14 23:31:30 stass Exp $
# *******************************************************************************
# * 
# *******************************************************************************
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# *******************************************************************************/
#endif

#include "stdafx.h"
#include <string>
#include <vector>
#include <io.h>
#include <process.h>
#include "PlugCVS.h"

//==========================================================================
const char *CreateTempFileName()
{
  char *pcHome;
  ///      
  pcHome = getenv("HOME");
  return _tempnam(pcHome, "cvsplug");
}



//==========================================================================

int WINAPI GetMinFarVersion(void)
{
  return MAKEFARVERSION(1,70,0);
}

//==========================================================================

void WINAPI _export GetPluginInfo(struct PluginInfo *Info)
{
  Info->StructSize = sizeof(struct PluginInfo);
  Info->Flags = 0;

  static char *PluginMenuStrings[1];
  PluginMenuStrings[0] = (char *)GetMsg(MSG_PLUGIN_NAME);

  Info->PluginMenuStrings = PluginMenuStrings;
  Info->PluginMenuStringsNumber=sizeof(PluginMenuStrings) / sizeof(PluginMenuStrings[0]);

  Info->CommandPrefix="cvs";

  /*
  if(!IsOldFar)
  {
    Info->StructSize = sizeof(*Info);
    static char *PluginMenuStrings[1];
    PluginMenuStrings[0] = (char*)GetMsg(MFileCase);
    Info->PluginMenuStrings=PluginMenuStrings;
    Info->PluginMenuStringsNumber=sizeof(PluginMenuStrings)/sizeof(PluginMenuStrings[0]);
  }*/
}
